Imports GrapeCity.ActiveReports.Document
Imports GrapeCity.ActiveReports.Document.Section
Imports GrapeCity.ActiveReports.SectionReportModel
Imports GrapeCity.ActiveReports.Controls
Imports GrapeCity.ActiveReports


Imports System.Data

Public Class ARInvoice
    Inherits GrapeCity.ActiveReports.SectionReport
    Public dtInvoicePrint As DataTable
    Public dtInvoiceContracts As DataTable
    Public dtInvoiceCancels As DataTable
    Public mbContracts As Boolean
    Public mbCancels As Boolean
    Public mdTotal As Decimal
    Public agWithheldTotal As Decimal = 0
    Public agRemitTotal As Decimal = 0
    Public intProductKey As Integer
    Public isCanadian As Boolean = False
    Public isFord As Boolean = False
    Public isAgent As Boolean = False
    Public PPMCount As Integer
    Public VSCCount As Integer
    Public ShowPaymentIntent As String = ""
    Public Property LanguageCode As String = "en-US"
    Private WithEvents txtInvoiceTotal As GrapeCity.ActiveReports.SectionReportModel.Label
    Private WithEvents subContracts As GrapeCity.ActiveReports.SectionReportModel.SubReport
    Private WithEvents subCancels As GrapeCity.ActiveReports.SectionReportModel.SubReport
    Private WithEvents label2 As GrapeCity.ActiveReports.SectionReportModel.Label
    Private WithEvents label3 As GrapeCity.ActiveReports.SectionReportModel.Label
    Private WithEvents label4 As GrapeCity.ActiveReports.SectionReportModel.Label
    Private WithEvents txtDealerAddress As GrapeCity.ActiveReports.SectionReportModel.Label
    Private WithEvents txtDealerCityStateZip As GrapeCity.ActiveReports.SectionReportModel.Label
    Public WithEvents label5 As GrapeCity.ActiveReports.SectionReportModel.Label
    Public WithEvents label6 As GrapeCity.ActiveReports.SectionReportModel.Label
    Public WithEvents label7 As GrapeCity.ActiveReports.SectionReportModel.Label
    Public WithEvents label8 As GrapeCity.ActiveReports.SectionReportModel.Label
    Public WithEvents label9 As GrapeCity.ActiveReports.SectionReportModel.Label
    Private WithEvents label10 As GrapeCity.ActiveReports.SectionReportModel.Label
    Private WithEvents txtDealerEntityNumber As GrapeCity.ActiveReports.SectionReportModel.Label
    Private WithEvents shape1 As GrapeCity.ActiveReports.SectionReportModel.Shape
    Private WithEvents label11 As GrapeCity.ActiveReports.SectionReportModel.Label
    Private WithEvents label12 As GrapeCity.ActiveReports.SectionReportModel.Label
    Private WithEvents txtPage As GrapeCity.ActiveReports.SectionReportModel.TextBox
    Public WithEvents txtInvoiceHeader As GrapeCity.ActiveReports.SectionReportModel.TextBox
    Private WithEvents Label13 As GrapeCity.ActiveReports.SectionReportModel.Label
    Private WithEvents txtAgentRemitTotal As GrapeCity.ActiveReports.SectionReportModel.Label
    Public WithEvents lblU100 As GrapeCity.ActiveReports.SectionReportModel.Label
    Public Sub New()
        MyBase.New()

        'This call is required by the Windows Form Designer.
        InitializeComponent()

        'Add any initialization after the InitializeComponent() call
    End Sub

    'Form overrides dispose to clean up the component list.
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
        End If
        MyBase.Dispose(disposing)
    End Sub

#Region " ActiveReports Designer generated code "
    'NOTE: The following procedure is required by the ActiveReports Designer
    'It can be modified using the ActiveReports Designer.
    'Do not modify it using the code editor.
    Private WithEvents PageHeader As GrapeCity.ActiveReports.SectionReportModel.PageHeader
    Private WithEvents Detail As GrapeCity.ActiveReports.SectionReportModel.Detail
    Private WithEvents txtInvoiceNumber As GrapeCity.ActiveReports.SectionReportModel.Label
    Private WithEvents gh_Dealer As GrapeCity.ActiveReports.SectionReportModel.GroupHeader
    Private WithEvents gf_Dealer As GrapeCity.ActiveReports.SectionReportModel.GroupFooter
    Private WithEvents gh_Invoice As GrapeCity.ActiveReports.SectionReportModel.GroupHeader
    Private WithEvents gf_Invoice As GrapeCity.ActiveReports.SectionReportModel.GroupFooter
    Public WithEvents txtInvoiceDate As GrapeCity.ActiveReports.SectionReportModel.Label
    Public WithEvents lblAdministrator As GrapeCity.ActiveReports.SectionReportModel.Label
    Private WithEvents PageFooter As GrapeCity.ActiveReports.SectionReportModel.PageFooter
    <System.Diagnostics.DebuggerStepThrough()> _
    Private Sub InitializeComponent()
        Dim resources As System.Resources.ResourceManager = New System.Resources.ResourceManager(GetType(ARInvoice))
        Me.PageHeader = New GrapeCity.ActiveReports.SectionReportModel.PageHeader
        Me.Detail = New GrapeCity.ActiveReports.SectionReportModel.Detail
        Me.subContracts = New GrapeCity.ActiveReports.SectionReportModel.SubReport
        Me.subCancels = New GrapeCity.ActiveReports.SectionReportModel.SubReport
        Me.PageFooter = New GrapeCity.ActiveReports.SectionReportModel.PageFooter
        Me.txtPage = New GrapeCity.ActiveReports.SectionReportModel.TextBox
        Me.txtInvoiceNumber = New GrapeCity.ActiveReports.SectionReportModel.Label
        Me.gh_Dealer = New GrapeCity.ActiveReports.SectionReportModel.GroupHeader
        Me.gf_Dealer = New GrapeCity.ActiveReports.SectionReportModel.GroupFooter
        Me.gh_Invoice = New GrapeCity.ActiveReports.SectionReportModel.GroupHeader
        Me.label7 = New GrapeCity.ActiveReports.SectionReportModel.Label
        Me.lblAdministrator = New GrapeCity.ActiveReports.SectionReportModel.Label
        Me.label8 = New GrapeCity.ActiveReports.SectionReportModel.Label
        Me.label9 = New GrapeCity.ActiveReports.SectionReportModel.Label
        Me.shape1 = New GrapeCity.ActiveReports.SectionReportModel.Shape
        Me.txtInvoiceDate = New GrapeCity.ActiveReports.SectionReportModel.Label
        Me.label2 = New GrapeCity.ActiveReports.SectionReportModel.Label
        Me.label3 = New GrapeCity.ActiveReports.SectionReportModel.Label
        Me.label4 = New GrapeCity.ActiveReports.SectionReportModel.Label
        Me.txtDealerAddress = New GrapeCity.ActiveReports.SectionReportModel.Label
        Me.txtDealerCityStateZip = New GrapeCity.ActiveReports.SectionReportModel.Label
        Me.label5 = New GrapeCity.ActiveReports.SectionReportModel.Label
        Me.label6 = New GrapeCity.ActiveReports.SectionReportModel.Label
        Me.label10 = New GrapeCity.ActiveReports.SectionReportModel.Label
        Me.txtDealerEntityNumber = New GrapeCity.ActiveReports.SectionReportModel.Label
        Me.label11 = New GrapeCity.ActiveReports.SectionReportModel.Label
        Me.txtInvoiceHeader = New GrapeCity.ActiveReports.SectionReportModel.TextBox
        Me.gf_Invoice = New GrapeCity.ActiveReports.SectionReportModel.GroupFooter
        Me.txtInvoiceTotal = New GrapeCity.ActiveReports.SectionReportModel.Label
        Me.label12 = New GrapeCity.ActiveReports.SectionReportModel.Label
        Me.lblU100 = New GrapeCity.ActiveReports.SectionReportModel.Label
        Me.Label13 = New GrapeCity.ActiveReports.SectionReportModel.Label
        Me.txtAgentRemitTotal = New GrapeCity.ActiveReports.SectionReportModel.Label
        CType(Me.txtPage, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.txtInvoiceNumber, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.label7, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.lblAdministrator, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.label8, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.label9, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.txtInvoiceDate, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.label2, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.label3, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.label4, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.txtDealerAddress, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.txtDealerCityStateZip, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.label5, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.label6, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.label10, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.txtDealerEntityNumber, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.label11, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.txtInvoiceHeader, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.txtInvoiceTotal, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.label12, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.lblU100, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.Label13, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.txtAgentRemitTotal, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me, System.ComponentModel.ISupportInitialize).BeginInit()
        '
        'PageHeader
        '
        Me.PageHeader.Height = 0.0!
        Me.PageHeader.Name = "PageHeader"
        '
        'Detail
        '
        Me.Detail.ColumnSpacing = 0.0!
        Me.Detail.Controls.AddRange(New GrapeCity.ActiveReports.SectionReportModel.ARControl() {Me.subContracts, Me.subCancels})
        Me.Detail.Height = 0.5!
        Me.Detail.Name = "Detail"
        '
        'subContracts
        '
        Me.subContracts.Border.BottomColor = System.Drawing.Color.Black
        Me.subContracts.Border.BottomStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.subContracts.Border.LeftColor = System.Drawing.Color.Black
        Me.subContracts.Border.LeftStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.subContracts.Border.RightColor = System.Drawing.Color.Black
        Me.subContracts.Border.RightStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.subContracts.Border.TopColor = System.Drawing.Color.Black
        Me.subContracts.Border.TopStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.subContracts.CloseBorder = False
        Me.subContracts.Height = 0.25!
        Me.subContracts.Left = 0.0!
        Me.subContracts.Name = "subContracts"
        Me.subContracts.Report = Nothing
        Me.subContracts.ReportName = ""
        Me.subContracts.Top = 0.0!
        Me.subContracts.Visible = False
        Me.subContracts.Width = 10.5!
        '
        'subCancels
        '
        Me.subCancels.Border.BottomColor = System.Drawing.Color.Black
        Me.subCancels.Border.BottomStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.subCancels.Border.LeftColor = System.Drawing.Color.Black
        Me.subCancels.Border.LeftStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.subCancels.Border.RightColor = System.Drawing.Color.Black
        Me.subCancels.Border.RightStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.subCancels.Border.TopColor = System.Drawing.Color.Black
        Me.subCancels.Border.TopStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.subCancels.CloseBorder = False
        Me.subCancels.Height = 0.25!
        Me.subCancels.Left = 0.0!
        Me.subCancels.Name = "subCancels"
        Me.subCancels.Report = Nothing
        Me.subCancels.ReportName = "SubCancels"
        Me.subCancels.Top = 0.25!
        Me.subCancels.Visible = False
        Me.subCancels.Width = 10.5!
        '
        'PageFooter
        '
        Me.PageFooter.Controls.AddRange(New GrapeCity.ActiveReports.SectionReportModel.ARControl() {Me.txtPage})
        Me.PageFooter.Height = 0.3!
        Me.PageFooter.Name = "PageFooter"
        '
        'txtPage
        '
        Me.txtPage.Border.BottomColor = System.Drawing.Color.Black
        Me.txtPage.Border.BottomStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.txtPage.Border.LeftColor = System.Drawing.Color.Black
        Me.txtPage.Border.LeftStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.txtPage.Border.RightColor = System.Drawing.Color.Black
        Me.txtPage.Border.RightStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.txtPage.Border.TopColor = System.Drawing.Color.Black
        Me.txtPage.Border.TopStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.txtPage.CanGrow = False
        Me.txtPage.Height = 0.1979167!
        Me.txtPage.Left = 8.9375!
        Me.txtPage.Name = "txtPage"
        Me.txtPage.Style = "text-align: right; vertical-align: middle; "
        Me.txtPage.SummaryGroup = "gh_Invoice"
        Me.txtPage.SummaryRunning = GrapeCity.ActiveReports.SectionReportModel.SummaryRunning.Group
        Me.txtPage.SummaryType = GrapeCity.ActiveReports.SectionReportModel.SummaryType.PageCount
        Me.txtPage.Text = "1"
        Me.txtPage.Top = 0.0!
        Me.txtPage.Width = 1.0!
        '
        'txtInvoiceNumber
        '
        Me.txtInvoiceNumber.Border.BottomColor = System.Drawing.Color.Black
        Me.txtInvoiceNumber.Border.BottomStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtInvoiceNumber.Border.LeftColor = System.Drawing.Color.Black
        Me.txtInvoiceNumber.Border.LeftStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtInvoiceNumber.Border.RightColor = System.Drawing.Color.Black
        Me.txtInvoiceNumber.Border.RightStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtInvoiceNumber.Border.TopColor = System.Drawing.Color.Black
        Me.txtInvoiceNumber.Border.TopStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtInvoiceNumber.DataField = "= InvoicePrefix + ""-"" + InvoiceNumber + ""-"" + Insurer"
        Me.txtInvoiceNumber.Height = 0.1875!
        Me.txtInvoiceNumber.HyperLink = Nothing
        Me.txtInvoiceNumber.Left = 1.7375!
        Me.txtInvoiceNumber.Name = "txtInvoiceNumber"
        Me.txtInvoiceNumber.Style = "text-align: right; font-size: 10pt; vertical-align: middle; "
        Me.txtInvoiceNumber.Text = "999999"
        Me.txtInvoiceNumber.Top = 0.0!
        Me.txtInvoiceNumber.Width = 1.5125!
        '
        'gh_Dealer
        '
        Me.gh_Dealer.DataField = "VWCR_DELR_Name"
        Me.gh_Dealer.Height = 0.0!
        Me.gh_Dealer.Name = "gh_Dealer"
        Me.gh_Dealer.NewPage = GrapeCity.ActiveReports.SectionReportModel.NewPage.Before
        '
        'gf_Dealer
        '
        Me.gf_Dealer.Height = 0.0!
        Me.gf_Dealer.Name = "gf_Dealer"
        '
        'gh_Invoice
        '
        Me.gh_Invoice.Controls.AddRange(New GrapeCity.ActiveReports.SectionReportModel.ARControl() {Me.label7, Me.lblAdministrator, Me.label8, Me.label9, Me.shape1, Me.txtInvoiceNumber, Me.txtInvoiceDate, Me.label2, Me.label3, Me.label4, Me.txtDealerAddress, Me.txtDealerCityStateZip, Me.label5, Me.label6, Me.label10, Me.txtDealerEntityNumber, Me.label11, Me.txtInvoiceHeader})
        Me.gh_Invoice.DataField = "VWIN_InvoiceNumber"
        Me.gh_Invoice.Height = 1.25!
        Me.gh_Invoice.Name = "gh_Invoice"
        Me.gh_Invoice.NewPage = GrapeCity.ActiveReports.SectionReportModel.NewPage.Before
        Me.gh_Invoice.RepeatStyle = GrapeCity.ActiveReports.SectionReportModel.RepeatStyle.OnPage
        '
        'label7
        '
        Me.label7.Border.BottomColor = System.Drawing.Color.Black
        Me.label7.Border.BottomStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.label7.Border.LeftColor = System.Drawing.Color.Black
        Me.label7.Border.LeftStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.label7.Border.RightColor = System.Drawing.Color.Black
        Me.label7.Border.RightStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.label7.Border.TopColor = System.Drawing.Color.Black
        Me.label7.Border.TopStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.label7.Height = 0.188!
        Me.label7.HyperLink = Nothing
        Me.label7.Left = 7.25!
        Me.label7.Name = "label7"
        Me.label7.Style = "background-color: #FFFFC0; white-space: nowrap; vertical-align: middle; "
        Me.label7.Text = "Mail Remittance, Check, Contracts and Cancels to:"
        Me.label7.Top = 0.4375!
        Me.label7.Width = 3.25!
        '
        'lblAdministrator
        '
        Me.lblAdministrator.Border.BottomColor = System.Drawing.Color.Black
        Me.lblAdministrator.Border.BottomStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.lblAdministrator.Border.LeftColor = System.Drawing.Color.Black
        Me.lblAdministrator.Border.LeftStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.lblAdministrator.Border.RightColor = System.Drawing.Color.Black
        Me.lblAdministrator.Border.RightStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.lblAdministrator.Border.TopColor = System.Drawing.Color.Black
        Me.lblAdministrator.Border.TopStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.lblAdministrator.Height = 0.188!
        Me.lblAdministrator.HyperLink = Nothing
        Me.lblAdministrator.Left = 7.25!
        Me.lblAdministrator.Name = "lblAdministrator"
        Me.lblAdministrator.Style = "white-space: nowrap; vertical-align: middle; "
        Me.lblAdministrator.Text = "PDS Administrator"
        Me.lblAdministrator.Top = 0.625!
        Me.lblAdministrator.Width = 3.25!
        '
        'label8
        '
        Me.label8.Border.BottomColor = System.Drawing.Color.Black
        Me.label8.Border.BottomStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.label8.Border.LeftColor = System.Drawing.Color.Black
        Me.label8.Border.LeftStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.label8.Border.RightColor = System.Drawing.Color.Black
        Me.label8.Border.RightStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.label8.Border.TopColor = System.Drawing.Color.Black
        Me.label8.Border.TopStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.label8.Height = 0.188!
        Me.label8.HyperLink = Nothing
        Me.label8.Left = 7.25!
        Me.label8.Name = "label8"
        Me.label8.Style = "white-space: nowrap; vertical-align: middle; "
        Me.label8.Text = "9449 Balboa Ave, Suite 300"
        Me.label8.Top = 0.8125!
        Me.label8.Width = 3.25!
        '
        'label9
        '
        Me.label9.Border.BottomColor = System.Drawing.Color.Black
        Me.label9.Border.BottomStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.label9.Border.LeftColor = System.Drawing.Color.Black
        Me.label9.Border.LeftStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.label9.Border.RightColor = System.Drawing.Color.Black
        Me.label9.Border.RightStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.label9.Border.TopColor = System.Drawing.Color.Black
        Me.label9.Border.TopStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.label9.Height = 0.188!
        Me.label9.HyperLink = Nothing
        Me.label9.Left = 7.25!
        Me.label9.Name = "label9"
        Me.label9.Style = "white-space: nowrap; vertical-align: middle; "
        Me.label9.Text = "San Diego, CA 92123"
        Me.label9.Top = 1.0!
        Me.label9.Width = 3.25!
        '
        'shape1
        '
        Me.shape1.Border.BottomColor = System.Drawing.Color.Black
        Me.shape1.Border.BottomStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.shape1.Border.LeftColor = System.Drawing.Color.Black
        Me.shape1.Border.LeftStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.shape1.Border.RightColor = System.Drawing.Color.Black
        Me.shape1.Border.RightStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.shape1.Border.TopColor = System.Drawing.Color.Black
        Me.shape1.Border.TopStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.shape1.Height = 0.75!
        Me.shape1.Left = 7.25!
        Me.shape1.Name = "shape1"
        Me.shape1.RoundingRadius = New GrapeCity.ActiveReports.Controls.CornersRadius(9.999999!)
        Me.shape1.Top = 0.4375!
        Me.shape1.Width = 3.25!
        '
        'txtInvoiceDate
        '
        Me.txtInvoiceDate.Border.BottomColor = System.Drawing.Color.Black
        Me.txtInvoiceDate.Border.BottomStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtInvoiceDate.Border.LeftColor = System.Drawing.Color.Black
        Me.txtInvoiceDate.Border.LeftStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtInvoiceDate.Border.RightColor = System.Drawing.Color.Black
        Me.txtInvoiceDate.Border.RightStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtInvoiceDate.Border.TopColor = System.Drawing.Color.Black
        Me.txtInvoiceDate.Border.TopStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtInvoiceDate.Height = 0.1875!
        Me.txtInvoiceDate.HyperLink = Nothing
        Me.txtInvoiceDate.Left = 1.7375!
        Me.txtInvoiceDate.Name = "txtInvoiceDate"
        Me.txtInvoiceDate.Style = "text-align: right; "
        Me.txtInvoiceDate.Text = "MM/DD/YYYY"
        Me.txtInvoiceDate.Top = 0.1875!
        Me.txtInvoiceDate.Width = 1.5125!
        '
        'label2
        '
        Me.label2.Border.BottomColor = System.Drawing.Color.Black
        Me.label2.Border.BottomStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.label2.Border.LeftColor = System.Drawing.Color.Black
        Me.label2.Border.LeftStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.label2.Border.RightColor = System.Drawing.Color.Black
        Me.label2.Border.RightStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.label2.Border.TopColor = System.Drawing.Color.Black
        Me.label2.Border.TopStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.label2.Height = 0.1875!
        Me.label2.HyperLink = Nothing
        Me.label2.Left = 1.625!
        Me.label2.Name = "label2"
        Me.label2.Style = "text-align: right; background-color: #FFFFC0; vertical-align: middle; "
        Me.label2.Text = "#"
        Me.label2.Top = 0.0!
        Me.label2.Width = 0.3625!
        '
        'label3
        '
        Me.label3.Border.BottomColor = System.Drawing.Color.Black
        Me.label3.Border.BottomStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.label3.Border.LeftColor = System.Drawing.Color.Black
        Me.label3.Border.LeftStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.label3.Border.RightColor = System.Drawing.Color.Black
        Me.label3.Border.RightStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.label3.Border.TopColor = System.Drawing.Color.Black
        Me.label3.Border.TopStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.label3.Height = 0.1875!
        Me.label3.HyperLink = Nothing
        Me.label3.Left = 1.625!
        Me.label3.Name = "label3"
        Me.label3.Style = "text-align: right; background-color: #FFFFC0; vertical-align: middle; "
        Me.label3.Text = "Date"
        Me.label3.Top = 0.1875!
        Me.label3.Width = 0.3625!
        '
        'label4
        '
        Me.label4.Border.BottomColor = System.Drawing.Color.Black
        Me.label4.Border.BottomStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.label4.Border.LeftColor = System.Drawing.Color.Black
        Me.label4.Border.LeftStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.label4.Border.RightColor = System.Drawing.Color.Black
        Me.label4.Border.RightStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.label4.Border.TopColor = System.Drawing.Color.Black
        Me.label4.Border.TopStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.label4.DataField = "DealerName"
        Me.label4.Height = 0.1875!
        Me.label4.HyperLink = Nothing
        Me.label4.Left = 0.0!
        Me.label4.Name = "label4"
        Me.label4.Style = ""
        Me.label4.Text = "Name"
        Me.label4.Top = 0.625!
        Me.label4.Width = 3.25!
        '
        'txtDealerAddress
        '
        Me.txtDealerAddress.Border.BottomColor = System.Drawing.Color.Black
        Me.txtDealerAddress.Border.BottomStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.txtDealerAddress.Border.LeftColor = System.Drawing.Color.Black
        Me.txtDealerAddress.Border.LeftStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtDealerAddress.Border.RightColor = System.Drawing.Color.Black
        Me.txtDealerAddress.Border.RightStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtDealerAddress.Border.TopColor = System.Drawing.Color.Black
        Me.txtDealerAddress.Border.TopStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.txtDealerAddress.DataField = "Address1"
        Me.txtDealerAddress.Height = 0.1875!
        Me.txtDealerAddress.HyperLink = Nothing
        Me.txtDealerAddress.Left = 0.0!
        Me.txtDealerAddress.Name = "txtDealerAddress"
        Me.txtDealerAddress.Style = "white-space: nowrap; vertical-align: middle; "
        Me.txtDealerAddress.Text = "Address1"
        Me.txtDealerAddress.Top = 0.8125!
        Me.txtDealerAddress.Width = 3.25!
        '
        'txtDealerCityStateZip
        '
        Me.txtDealerCityStateZip.Border.BottomColor = System.Drawing.Color.Black
        Me.txtDealerCityStateZip.Border.BottomStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtDealerCityStateZip.Border.LeftColor = System.Drawing.Color.Black
        Me.txtDealerCityStateZip.Border.LeftStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtDealerCityStateZip.Border.RightColor = System.Drawing.Color.Black
        Me.txtDealerCityStateZip.Border.RightStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtDealerCityStateZip.Border.TopColor = System.Drawing.Color.Black
        Me.txtDealerCityStateZip.Border.TopStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.txtDealerCityStateZip.DataField = "= City + "", "" + State + "" "" + ZipCode "
        Me.txtDealerCityStateZip.Height = 0.1875!
        Me.txtDealerCityStateZip.HyperLink = Nothing
        Me.txtDealerCityStateZip.Left = 0.0!
        Me.txtDealerCityStateZip.Name = "txtDealerCityStateZip"
        Me.txtDealerCityStateZip.Style = "white-space: nowrap; vertical-align: middle; "
        Me.txtDealerCityStateZip.Text = "CityStateZip"
        Me.txtDealerCityStateZip.Top = 1.0!
        Me.txtDealerCityStateZip.Width = 3.25!
        '
        'label5
        '
        Me.label5.Border.BottomColor = System.Drawing.Color.Black
        Me.label5.Border.BottomStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.label5.Border.LeftColor = System.Drawing.Color.Black
        Me.label5.Border.LeftStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.label5.Border.RightColor = System.Drawing.Color.Black
        Me.label5.Border.RightStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.label5.Border.TopColor = System.Drawing.Color.Black
        Me.label5.Border.TopStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.label5.Height = 0.188!
        Me.label5.HyperLink = Nothing
        Me.label5.Left = 7.25!
        Me.label5.Name = "label5"
        Me.label5.Style = "background-color: #FFFFC0; white-space: nowrap; vertical-align: middle; "
        Me.label5.Text = "Make checks payable to"
        Me.label5.Top = 0.0!
        Me.label5.Width = 3.25!
        '
        'label6
        '
        Me.label6.Border.BottomColor = System.Drawing.Color.Black
        Me.label6.Border.BottomStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.label6.Border.LeftColor = System.Drawing.Color.Black
        Me.label6.Border.LeftStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.label6.Border.RightColor = System.Drawing.Color.Black
        Me.label6.Border.RightStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.label6.Border.TopColor = System.Drawing.Color.Black
        Me.label6.Border.TopStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.label6.Height = 0.1875!
        Me.label6.HyperLink = Nothing
        Me.label6.Left = 7.25!
        Me.label6.Name = "label6"
        Me.label6.Style = "color: Black; white-space: nowrap; vertical-align: middle; "
        Me.label6.Text = "Great American Insurance Company"
        Me.label6.Top = 0.1875!
        Me.label6.Width = 3.25!
        '
        'label10
        '
        Me.label10.Border.BottomColor = System.Drawing.Color.Black
        Me.label10.Border.BottomStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.label10.Border.LeftColor = System.Drawing.Color.Black
        Me.label10.Border.LeftStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.label10.Border.RightColor = System.Drawing.Color.Black
        Me.label10.Border.RightStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.label10.Border.TopColor = System.Drawing.Color.Black
        Me.label10.Border.TopStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.label10.Height = 0.1875!
        Me.label10.HyperLink = Nothing
        Me.label10.Left = 0.0!
        Me.label10.Name = "label10"
        Me.label10.Style = "text-align: right; background-color: #FFFFC0; vertical-align: middle; "
        Me.label10.Text = "Dealer"
        Me.label10.Top = 0.4375!
        Me.label10.Width = 1.9375!
        '
        'txtDealerEntityNumber
        '
        Me.txtDealerEntityNumber.Border.BottomColor = System.Drawing.Color.Black
        Me.txtDealerEntityNumber.Border.BottomStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtDealerEntityNumber.Border.LeftColor = System.Drawing.Color.Black
        Me.txtDealerEntityNumber.Border.LeftStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtDealerEntityNumber.Border.RightColor = System.Drawing.Color.Black
        Me.txtDealerEntityNumber.Border.RightStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtDealerEntityNumber.Border.TopColor = System.Drawing.Color.Black
        Me.txtDealerEntityNumber.Border.TopStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtDealerEntityNumber.DataField = "DealerNumber"
        Me.txtDealerEntityNumber.Height = 0.1875!
        Me.txtDealerEntityNumber.HyperLink = Nothing
        Me.txtDealerEntityNumber.Left = 1.9375!
        Me.txtDealerEntityNumber.Name = "txtDealerEntityNumber"
        Me.txtDealerEntityNumber.Style = "text-align: right; white-space: nowrap; vertical-align: middle; "
        Me.txtDealerEntityNumber.Text = "EntityKey"
        Me.txtDealerEntityNumber.Top = 0.4375!
        Me.txtDealerEntityNumber.Width = 1.3125!
        '
        'label11
        '
        Me.label11.Border.BottomColor = System.Drawing.Color.Black
        Me.label11.Border.BottomStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.label11.Border.LeftColor = System.Drawing.Color.Black
        Me.label11.Border.LeftStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.label11.Border.RightColor = System.Drawing.Color.Black
        Me.label11.Border.RightStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.label11.Border.TopColor = System.Drawing.Color.Black
        Me.label11.Border.TopStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.label11.Height = 0.375!
        Me.label11.HyperLink = Nothing
        Me.label11.Left = 3.3125!
        Me.label11.Name = "label11"
        Me.label11.Style = "text-align: center; font-weight: bold; font-size: 22pt; vertical-align: middle; "
        Me.label11.Text = "Remittance"
        Me.label11.Top = 0.0!
        Me.label11.Width = 3.875!
        '
        'txtInvoiceHeader
        '
        Me.txtInvoiceHeader.Border.BottomColor = System.Drawing.Color.Black
        Me.txtInvoiceHeader.Border.BottomStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtInvoiceHeader.Border.LeftColor = System.Drawing.Color.Black
        Me.txtInvoiceHeader.Border.LeftStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtInvoiceHeader.Border.RightColor = System.Drawing.Color.Black
        Me.txtInvoiceHeader.Border.RightStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtInvoiceHeader.Border.TopColor = System.Drawing.Color.Black
        Me.txtInvoiceHeader.Border.TopStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtInvoiceHeader.CanGrow = False
        Me.txtInvoiceHeader.Height = 0.375!
        Me.txtInvoiceHeader.Left = 0.0!
        Me.txtInvoiceHeader.MultiLine = False
        Me.txtInvoiceHeader.Name = "txtInvoiceHeader"
        Me.txtInvoiceHeader.Style = "text-align: center; font-weight: bold; font-size: 16pt; vertical-align: middle; "
        Me.txtInvoiceHeader.Text = "VSC"
        Me.txtInvoiceHeader.Top = 0.0!
        Me.txtInvoiceHeader.Width = 1.625!
        '
        'gf_Invoice
        '
        Me.gf_Invoice.Controls.AddRange(New GrapeCity.ActiveReports.SectionReportModel.ARControl() {Me.txtInvoiceTotal, Me.label12, Me.lblU100, Me.Label13, Me.txtAgentRemitTotal})
        Me.gf_Invoice.Height = 0.84375!
        Me.gf_Invoice.Name = "gf_Invoice"
        '
        'txtInvoiceTotal
        '
        Me.txtInvoiceTotal.Border.BottomColor = System.Drawing.Color.Black
        Me.txtInvoiceTotal.Border.BottomStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtInvoiceTotal.Border.LeftColor = System.Drawing.Color.Black
        Me.txtInvoiceTotal.Border.LeftStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtInvoiceTotal.Border.RightColor = System.Drawing.Color.Black
        Me.txtInvoiceTotal.Border.RightStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtInvoiceTotal.Border.TopColor = System.Drawing.Color.Black
        Me.txtInvoiceTotal.Border.TopStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtInvoiceTotal.Height = 0.1875!
        Me.txtInvoiceTotal.HyperLink = Nothing
        Me.txtInvoiceTotal.Left = 9.6875!
        Me.txtInvoiceTotal.MultiLine = False
        Me.txtInvoiceTotal.Name = "txtInvoiceTotal"
        Me.txtInvoiceTotal.Style = "text-align: right; background-color: #FFFFC0; font-size: 8.5pt; vertical-align: m" & _
            "iddle; "
        Me.txtInvoiceTotal.Text = "txtInvoiceTotal"
        Me.txtInvoiceTotal.Top = 0.0625!
        Me.txtInvoiceTotal.Width = 0.8125!
        '
        'label12
        '
        Me.label12.Border.BottomColor = System.Drawing.Color.Black
        Me.label12.Border.BottomStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.label12.Border.LeftColor = System.Drawing.Color.Black
        Me.label12.Border.LeftStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.label12.Border.RightColor = System.Drawing.Color.Black
        Me.label12.Border.RightStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.label12.Border.TopColor = System.Drawing.Color.Black
        Me.label12.Border.TopStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.label12.Height = 0.1875!
        Me.label12.HyperLink = Nothing
        Me.label12.Left = 8.125!
        Me.label12.Name = "label12"
        Me.label12.Style = "text-align: right; background-color: #FFFFC0; font-size: 8.5pt; vertical-align: m" & _
            "iddle; "
        Me.label12.Text = "Dealer Remittance Total"
        Me.label12.Top = 0.0625!
        Me.label12.Width = 1.5625!
        '
        'lblU100
        '
        Me.lblU100.Border.BottomColor = System.Drawing.Color.Black
        Me.lblU100.Border.BottomStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.lblU100.Border.LeftColor = System.Drawing.Color.Black
        Me.lblU100.Border.LeftStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.lblU100.Border.RightColor = System.Drawing.Color.Black
        Me.lblU100.Border.RightStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.lblU100.Border.TopColor = System.Drawing.Color.Black
        Me.lblU100.Border.TopStyle = GrapeCity.ActiveReports.BorderLineStyle.None
        Me.lblU100.Height = 0.3125!
        Me.lblU100.HyperLink = Nothing
        Me.lblU100.Left = 0.0625!
        Me.lblU100.Name = "lblU100"
        Me.lblU100.Style = "text-align: center; font-weight: bold; font-size: 12pt; vertical-align: middle; "
        Me.lblU100.Text = "This remittance includes agreements with Unlimited Term. Accompanying Lifetime Ce" & _
            "rtificate must be submitted."
        Me.lblU100.Top = 0.5!
        Me.lblU100.Visible = False
        Me.lblU100.Width = 9.9375!
        '
        'Label13
        '
        Me.Label13.Border.BottomColor = System.Drawing.Color.Black
        Me.Label13.Border.BottomStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.Label13.Border.LeftColor = System.Drawing.Color.Black
        Me.Label13.Border.LeftStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.Label13.Border.RightColor = System.Drawing.Color.Black
        Me.Label13.Border.RightStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.Label13.Border.TopColor = System.Drawing.Color.Black
        Me.Label13.Border.TopStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.Label13.Height = 0.1875!
        Me.Label13.HyperLink = Nothing
        Me.Label13.Left = 8.125!
        Me.Label13.Name = "Label13"
        Me.Label13.Style = "text-align: right; background-color: #FFFFC0; font-size: 8.5pt; vertical-align: m" & _
            "iddle; "
        Me.Label13.Text = "Agent Remittance Total"
        Me.Label13.Top = 0.25!
        Me.Label13.Visible = False
        Me.Label13.Width = 1.5625!
        '
        'txtAgentRemitTotal
        '
        Me.txtAgentRemitTotal.Border.BottomColor = System.Drawing.Color.Black
        Me.txtAgentRemitTotal.Border.BottomStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtAgentRemitTotal.Border.LeftColor = System.Drawing.Color.Black
        Me.txtAgentRemitTotal.Border.LeftStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtAgentRemitTotal.Border.RightColor = System.Drawing.Color.Black
        Me.txtAgentRemitTotal.Border.RightStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtAgentRemitTotal.Border.TopColor = System.Drawing.Color.Black
        Me.txtAgentRemitTotal.Border.TopStyle = GrapeCity.ActiveReports.BorderLineStyle.Solid
        Me.txtAgentRemitTotal.Height = 0.1875!
        Me.txtAgentRemitTotal.HyperLink = Nothing
        Me.txtAgentRemitTotal.Left = 9.6875!
        Me.txtAgentRemitTotal.MultiLine = False
        Me.txtAgentRemitTotal.Name = "txtAgentRemitTotal"
        Me.txtAgentRemitTotal.Style = "text-align: right; background-color: #FFFFC0; font-size: 8.5pt; vertical-align: m" & _
            "iddle; "
        Me.txtAgentRemitTotal.Text = "txtAgentRemitTotal"
        Me.txtAgentRemitTotal.Top = 0.25!
        Me.txtAgentRemitTotal.Visible = False
        Me.txtAgentRemitTotal.Width = 0.8125!
        '
        'ARInvoice
        '
        Me.MasterReport = False
        Me.PageSettings.Margins.Bottom = 0.25!
        Me.PageSettings.Margins.Left = 0.25!
        Me.PageSettings.Margins.Right = 0.25!
        Me.PageSettings.Margins.Top = 0.25!
        Me.PageSettings.Orientation = GrapeCity.ActiveReports.Document.Section.PageOrientation.Landscape
        Me.PageSettings.PaperHeight = 11.0!
        Me.PageSettings.PaperWidth = 8.5!
        Me.PrintWidth = 10.5!
        Me.Sections.Add(Me.PageHeader)
        Me.Sections.Add(Me.gh_Dealer)
        Me.Sections.Add(Me.gh_Invoice)
        Me.Sections.Add(Me.Detail)
        Me.Sections.Add(Me.gf_Invoice)
        Me.Sections.Add(Me.gf_Dealer)
        Me.Sections.Add(Me.PageFooter)
        Me.StyleSheet.Add(New DDCssLib.StyleSheetRule("font-family: Arial; font-style: normal; text-decoration: none; font-weight: norma" & _
                    "l; font-size: 10pt; color: Black; ", "Normal"))
        Me.StyleSheet.Add(New DDCssLib.StyleSheetRule("font-size: 16pt; font-weight: bold; ", "Heading1", "Normal"))
        Me.StyleSheet.Add(New DDCssLib.StyleSheetRule("font-family: Times New Roman; font-size: 14pt; font-weight: bold; font-style: ita" & _
                    "lic; ", "Heading2", "Normal"))
        Me.StyleSheet.Add(New DDCssLib.StyleSheetRule("font-size: 13pt; font-weight: bold; ", "Heading3", "Normal"))
        CType(Me.txtPage, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.txtInvoiceNumber, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.label7, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.lblAdministrator, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.label8, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.label9, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.txtInvoiceDate, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.label2, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.label3, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.label4, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.txtDealerAddress, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.txtDealerCityStateZip, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.label5, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.label6, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.label10, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.txtDealerEntityNumber, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.label11, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.txtInvoiceHeader, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.txtInvoiceTotal, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.label12, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.lblU100, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.Label13, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.txtAgentRemitTotal, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me, System.ComponentModel.ISupportInitialize).EndInit()

    End Sub
#End Region


    Private Sub ARInvoice_ReportStart(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.ReportStart

        Me.DataSource = dtInvoicePrint
        'Set Invoice Header based on the Product Key
        If intProductKey = 4 AndAlso isFord Then
            Me.txtInvoiceHeader.Text = "GAPCov"
        End If

        ' to show Agent remit total for APPI, also possible for any owner per Brandon request 12/5/2018
        If isAgent Then
            txtAgentRemitTotal.Visible = True
            Label13.Visible = True
        End If

        If LanguageCode = "fr-CA" Then
            Me.txtInvoiceHeader.Text = "Ass perte"
            Me.label5.Text = "Faites Votre Chque :"
            Me.label7.Text = "Envoyez la facture et le chque :"
            Me.label10.Text = "Concessionnaire"
            Me.label11.Text = "Remise"
            Me.label12.Text = "Remise Totale par le Concessionnaire"
            Me.label12.Left -= 1
            Me.label12.Width += 1
        End If
    End Sub

    Private Sub Detail_Format(ByVal sender As Object, ByVal e As System.EventArgs) Handles Detail.Format
        Dim rptContracts As New Object
        Dim rptCancels As New Object
        Dim clsDataHelper As New DataHelper

        PPMCount = 0
        VSCCount = 0

        Select Case intProductKey
            Case 5 'VSC
                rptContracts = New ARInvoiceContracts_VSC
                rptCancels = New ARInvoiceCancels_VSC
            Case 46 'PPM
                rptContracts = New ARInvoiceContracts_PPM
                rptCancels = New ARInvoiceCancels_VSC
            Case 10 'PRT, RV PRT
                rptContracts = New ARInvoiceContracts_PRT
                rptCancels = New ARInvoiceCancels_VSC
            Case 4 'GAP
                rptContracts = New ARInvoiceContracts_GAP
                rptCancels = New ARInvoiceCancels_VSC
            Case 6 'ETCH
                rptContracts = New ARInvoiceContracts_ETCH
                rptCancels = New ARInvoiceCancels_VSC
            Case Else

        End Select

        rptContracts.rptParent = Me
        rptCancels.rptParent = Me

        If mbContracts = True Then
            rptContracts.DataSource = dtInvoiceContracts
            subContracts.Report = rptContracts
            subContracts.Visible = True
        Else
            subContracts.Visible = False
        End If

        If mbCancels = True Then
            rptCancels.DataSource = dtInvoiceCancels
            subCancels.Report = rptCancels
            subCancels.Visible = True
        Else
            subCancels.Visible = False
        End If


    End Sub

    Private Sub gf_Invoice_BeforePrint(ByVal sender As Object, ByVal e As System.EventArgs) Handles gf_Invoice.BeforePrint
        txtInvoiceTotal.Value = FormatCurrency(mdTotal)

        If isAgent Then
            agRemitTotal = mdTotal - agWithheldTotal ' calc the agent remit total
            txtAgentRemitTotal.Value = FormatCurrency(agRemitTotal)
        End If

        If ShowPaymentIntent <> "" Then
            'get stripe card paid stuff and put it on the form 
            lblU100.Visible = True
            lblU100.Text = ShowPaymentIntent
        End If

    End Sub

    Private Function GetResourceManager() As System.Resources.ResourceManager
        Return Resources.ARInvoice.ResourceManager

    End Function
End Class
